1. Ads
Attribuly Developers
  • Public API
    • API Authentication Guide
    • Attribution
      • All
        • Get attribution report
        • Get total numbers
      • Ads
        • Channel/Campaign/Ad-set/Ad level ads attribution
          POST
        • list all customer level details
          POST
        • Customer level report for a specific campaign
          POST
      • Product analytics
        • List product analytics
        • List total data for product analysis
        • Attribution report for a single product
        • Total attribution report for a single product
      • Web Analytics
        • Web Analytics
        • Get total numbers
    • Tracking links
      • Influencer
      • Link Builder
    • Store
      • Raw Events
      • Customer journey of an order
      • Order First & Last Touchpoint of an order
      • Event summary of a landing page
    • Setting
      • Attribution models
      • Conversion Goals
    • Connections
      • List Source
      • List Destination
  • Push data to Attribuly
    • Quick Start
    • Events
      • Page viewed
      • Cart viewed
      • Product viewed
      • Collection viewed
      • Search submitted
      • Product added to cart
      • Product removed to cart
      • Lead form
      • Checkout started
      • Payment info submitted
      • Checkout completed
      • Checkout address info submitted
      • Checkout contact info submitted
      • Checkout shipping info submitted
      • Basic
        • Checkout
        • Context
        • Document
        • MailAddress
        • Navigator
        • Window
    • Store
      • Order
      • Customers
      • Products
  • Attribuly MCP Server
    • MCP Configure
  1. Ads

list all customer level details

prod
https://data.api.attribuly.com
prod
https://data.api.attribuly.com
POST
/{version}/api/get/ad-analysis/all-conversion-detail-list
Use when you need to get the detailed customer name, order number of all campaigns
Rate limits: 5 requests per second.
version: v2-4-2.

Request

Path Params

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://data.api.attribuly.com/v2-4-2/api/get/ad-analysis/all-conversion-detail-list' \
--header 'ApiKey: 15xvome1000dh5vsow9geg7110yi43zd' \
--header 'Content-Type: application/json' \
--data-raw '{
  "start_date": "string",
  "end_date": "string",
  "model": "first",
  "goal": "purchase",
  "page": 1,
  "page_size": 20
}'
Response Response Example
{
    "code": 1,
    "message": "Service succeed",
    "data": {
        "total": 1,
        "page_size": 20,
        "records": [
            {
                "campaign_id": "23855481405970436",
                "campaign_name": "Accurate delivery-General budget",
                "set_id": "23855481406410436",
                "set_name": "Accurate delivery-S",
                "ad_id": "23855481406720436",
                "ad_name": "Accurate delivery-Ad",
                "customer": "Cherruvue Elese",
                "new_customer": "Yes",
                "conversion_credit": 0.5,
                "order": "X1508-A",
                "attributed_value": 37.63,
                "conversion_date": "2025-10-21 04:18:59"
            }
        ]
    }
}
Modified at 2026-03-18 13:28:58
Previous
Channel/Campaign/Ad-set/Ad level ads attribution
Next
Customer level report for a specific campaign
Built with